%
% This class file is used for making manuscripts for cems journal.
%   Ver 1.00 2021/04/30
% by Hidetoshi Komiya (hkomiya@keio.jp)
%
\ProvidesClass{cems-submit}[2021/03/14]
%
\LoadClassWithOptions{article}
\usepackage{amsmath, amssymb}
\usepackage{amsthm}
\newtheorem{theorem}{Theorem}
\newtheorem{proposition}{Proposition}
\newtheorem{corollary}{Corollary}
\newtheorem{lemma}{Lemma}
\newtheorem{definition}{Definition}
%
%
%   Double Space Setting
%
\def\baselinestretch{1.5}
%
% Title Page Setting
% maketitle parameters: title, author, affiliation, correspondence
%
  \def\@maketitle{%
  \newpage
  \null
  \vskip -6em
  {\noindent Submitted to\\
  \it Communications in Economics and Mathematical Sciences}
  \vskip 4em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@title \par}%
    \vskip 2.5em%
    {\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
  \end{center}%
  \par
    \begin{center}
      {\bf correspondence to \vspace{-.5em}\vspace{0pt}}
      \@correspondence
    \end{center}
    \begin{center}
      {\bf Date of submission:\vspace{-.5em}\vspace{0pt}}
      \@date
    \end{center}
  \vskip 3.5em
    \begin{center}
      {\bf Abstract}
      \begin{quotation}
      \@abstract
      \end{quotation}
    \end{center}
    \par
  \vskip 3.5em
    \noindent
        {\bf Keywords:}  \@keywords \\
        {\bf JEL Classification:}  \@JEL \\
        {\bf Mathematical Subject Classification(2020):}  \@MSC
    \vskip 1.5em


    \gdef\@correspondence{}
    \gdef\@abstract{}
    \gdef\@norevision{}
    \gdef\@submission{}
    \gdef\@revison{}
    \gdef\@acceptance{}
    \gdef\@keywords{}
    \gdef\@JEL{}
    \gdef\@MSC{}
    \gdef\@affiliation{}
  }

  \long\def\abstract#1{\long\gdef\@abstract{#1}}
  \long\def\correspondence#1{\long\gdef\@correspondence{#1}}
  \long\def\keywords#1{\long\gdef\@keywords{#1}}
  \long\def\JEL#1{\long\gdef\@JEL{#1}}
  \long\def\MSC#1{\long\gdef\@MSC{#1}}

  \long\def\affiliation#1{\long\gdef\@affiliation{#1}}

  \long\def\norevision#1{\long\gdef\@norevision{#1}}
  \long\def\submission#1{\long\gdef\@submission{#1}}
  \long\def\revision#1{\long\gdef\@revision{#1}}
  \long\def\acceptance#1{\long\gdef\@acceptance{#1}}

% End of cems.cls
